Go to the latest version of this document.

# ``twisted`.`conch`.`insults`.`insults``

module documentation
(source)

VT102 and VT220 terminal manipulation.

Author
Jp Calderone

Interface | `ITerminalProtocol` | No interface docstring; 5/5 methods documented
Interface | `ITerminalTransport` | No interface docstring; 41/41 methods documented
Class | `ClientProtocol` | No class docstring; 0/5 instance variable, 0/6 class variable, 2/6 methods, 0/1 class documented
Class | `modes` | ECMA 48 standardized modes
Class | `privateModes` | ANSI-Compatible Private Modes
Class | `ServerProtocol` | No class docstring; 0/10 instance variable, 0/4 class variable, 0/2 constant, 1/55 method, 0/1 class documented
Class | `TerminalProtocol` | No class docstring; 0/1 instance variable, 1/6 method documented
Class | `Vector` | Undocumented
Function | `log` | Undocumented
Constant | `BLINK` | Undocumented
Constant | `BOLD` | Undocumented
Constant | `CS_ALTERNATE` | Undocumented
Constant | `CS_ALTERNATE_SPECIAL` | Undocumented
Constant | `CS_DRAWING` | Undocumented
Constant | `CS_UK` | Undocumented
Constant | `CS_US` | Undocumented
Constant | `CSI` | Undocumented
Constant | `CST` | Undocumented
Constant | `FUNCTION_KEYS` | Undocumented
Constant | `G0` | Undocumented
Constant | `G1` | Undocumented
Constant | `G2` | Undocumented
Constant | `G3` | Undocumented
Constant | `NORMAL` | Undocumented
Constant | `REVERSE_VIDEO` | Undocumented
Constant | `UNDERLINE` | Undocumented
Constant | `_KEY_NAMES` | Undocumented

def log(s): (source)

Undocumented

BLINK: `int` = (source)

Undocumented

Value

    5

BOLD: `int` = (source)

Undocumented

Value

    1

CS_ALTERNATE: `bytes` = (source)

Undocumented

Value

    b'CS_ALTERNATE'

CS_ALTERNATE_SPECIAL: `bytes` = (source)

Undocumented

Value

    b'CS_ALTERNATE_SPECIAL'

CS_DRAWING: `bytes` = (source)

Undocumented

Value

    b'CS_DRAWING'

CS_UK: `bytes` = (source)

Undocumented

Value

    b'CS_UK'

CS_US: `bytes` = (source)

Undocumented

Value

    b'CS_US'

CSI: `bytes` = (source)

Undocumented

Value

    b'\x1b'

CST: `dict[bytes, bytes]` = (source)

Undocumented

Value

    {b'~': b'tilde'}

FUNCTION_KEYS = (source)

Undocumented

Value

    [f'[{_name}]'.encode('ascii') for _name in _KEY_NAMES]

G0: `bytes` = (source)

Undocumented

Value

    b'G0'

G1: `bytes` = (source)

Undocumented

Value

    b'G1'

G2: `bytes` = (source)

Undocumented

Value

    b'G2'

G3: `bytes` = (source)

Undocumented

Value

    b'G3'

NORMAL: `int` = (source)

Undocumented

Value

    0

REVERSE_VIDEO: `int` = (source)

Undocumented

Value

    7

UNDERLINE: `int` = (source)

Undocumented

Value

    4

_KEY_NAMES: `tuple[str, ...]` = (source)

Undocumented

Value

    ('UP_ARROW',
     'DOWN_ARROW',
     'RIGHT_ARROW',
     'LEFT_ARROW',
     'HOME',
     'INSERT',
     'DELETE',
    ...